Loading ...
Sorry, an error occurred while loading the content.

ANNOUNCE: camlclipse 0.1.0 - OCaml support in Eclipse

Expand Messages
  • Andrei Formiga
    Dear Camlers, In the spirit of release early, release often , we therefore announce the first release of camlclipse (version 0.1.0), a group of plugins to add
    Message 1 of 1 , Sep 2, 2004
    • 0 Attachment
      Dear Camlers,

      In the spirit of "release early, release often", we therefore
      announce the first release of camlclipse (version 0.1.0), a group of
      plugins to add OCaml support in the Eclipse IDE. It provides very
      basic support for creating OCaml projects, editing source files,
      building and running. Features include:

      - incremental building
      - ocamlc integration (no ocamlopt yet)
      - automatic dependency calculations (via ocamldep)
      - basic syntax highlighting for comments, keywords and string literals
      - running of produced executable inside the IDE, with output
      captured in the Console view

      Please note that it is still in early alpha, and not intended for
      production use yet.

      The home page for the plugins is
      http://eclipsefp.sf.net/ocaml

      You can download and install the OCaml support using Eclipse's
      Update Manager. The update site is
      http://eclipsefp.sf.net/ocaml/site.xml

      Alternatively, the plugins can be downloaded from the sourceforge
      project page at
      https://sourceforge.net/project/showfiles.php?group_id=108233&package_id=128816

      --
      []s, Andrei de A. Formiga
    Your message has been successfully submitted and would be delivered to recipients shortly.